The device already has LED push button (KEY_LIGHTS_TOGGLE)
and exported GPIO control "led-light". This commit adds
button handler script for switching on/off all device LEDs.
Signed-off-by: Mikhail Zhilkin <csharper2005@gmail.com>
Signed-off-by: Christian Lamparter <chunkeey@gmail.com>
--- /dev/null
+#!/bin/sh
+
+[[ "${ACTION}" = "released" ]] || exit 0
+
+. /lib/functions.sh
+
+case "$(board_name)" in
+tplink,ec330-g5u-v1)
+ led_light="/sys/class/gpio/led-light/value"
+ echo "$((!$(cat $led_light)))" > "$led_light"
+;;
+ *)
+;;
+esac
+
+return 0